%define fw_version 5.43

Summary:	KDE Frameworks 5 module with classes for various routines
Name:		kcoreaddons
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	shared-mime-info
BuildRequires:	pkgconfig(gamin)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	shared-mime-info

%description
KDE Frameworks 5 module with classes for various routines.

KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files
%{_kde5_bindir}/desktoptojson
%{_kde5_datadir}/mime/packages/kde5.xml
%dir %{_kde5_datadir}/kf5/licenses/
%{_kde5_datadir}/kf5/licenses/*

#----------------------------------------------------------------------------

%package i18n
Summary:	KCoreAddons translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCoreAddons translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5coreaddons_major 5
%define libkf5coreaddons %mklibname kf5coreaddons %{kf5coreaddons_major}

%package -n %{libkf5coreaddons}
Summary:	KDE Frameworks 5 KCoreAddons shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5coreaddons}
KDE Frameworks 5 KCoreAddons shared library.

%files -n %{libkf5coreaddons}
%{_kde5_libdir}/libKF5CoreAddons.so.%{kf5coreaddons_major}*

#----------------------------------------------------------------------------

%define devkf5coreaddons %mklibname kf5coreaddons -d

%package -n %{devkf5coreaddons}
Summary:	Development files for KDE Frameworks 5 KCoreAddons
Group:		Development/KDE and Qt
Requires:	%{libkf5coreaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5coreaddons-devel = %{version}

%description -n %{devkf5coreaddons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5coreaddons}
%{_kde5_includedir}/KF5/KCoreAddons
%{_kde5_includedir}/KF5/kcoreaddons_version.h
%{_kde5_libdir}/cmake/KF5CoreAddons
%{_kde5_libdir}/libKF5CoreAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (4512c37) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (0ce2f57) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (03f077c) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (58ca6fe) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (2cd9e75) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-3
- (94d2325) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-2
- (ba843eb) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-1
- (71d9edb) New version 5.30.1

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (30c689e) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (c8a001d) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (48f99aa) Update files (add licenses)
- (Andrey Bondrov: 13cedc5) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (9e18a61) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (31558aa) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (a35e466) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (d3d67f1) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (c0b6528) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (f76c838) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (80cc83a) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (9afd2f7) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (476c997) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (70b6c0e) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (da5d646) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (baadb6e) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (b0d9daf) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (8c1f7a0) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (591dd8a) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (b25a936) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (ac1fb92) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (f5f6030) New version 5.9.0


